checkRequire("Lua_TeamRecieveItem");
Lua_TeamRecieveWindow = class("Lua_TeamRecieveWindow", Lua_Window);
function Lua_TeamRecieveWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_TeamRecieveWindow";
	self.skinName = "TeamRecieveWindow_skin";
end

function Lua_TeamRecieveWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content,1, Vector4(0, 0, 864, 351));
	self.dragList:setLocation(0, -5, 0);
	self.dragList:setListCell(Lua_TeamRecieveItem, 122, 864, 1);

	self.autoBox.seleted = DataCenter.teamData.auto_refuse == 1;
	self.autoBox:addBoxChange(self,self.onBoxClick);
	self.clearBtn:addClickFuntion(self,self.onClearClick);

	self:onUpdateList();

	self:addLuaEvent("TEAM_YAOQING_UPDATE", self, self.onUpdateList);
end

function Lua_TeamRecieveWindow:onUpdateList()
	self.dragList:setLuaArrayData(DataCenter.teamData.yaoQingArr);
end

function Lua_TeamRecieveWindow:onClearClick(go)
	DataCenter.teamData.yaoQingArr:clear();
	self:onUpdateList();
	Lua_MsgUtil.callFunc("UPDATE_TEAM_TIP_STATE");
end

function Lua_TeamRecieveWindow:onBoxClick(state)
	local cmd = ProtoPublic_pb.Proto10100322();
	cmd.status = state and 1 or 0;
	sendMsg(10100322, cmd);
end