Lua_TeamListItem = class("Lua_TeamListItem", Lua_ListCell);
function Lua_TeamListItem:ctor(p)
	self:superCall("ctor", p, "TeamListItem_skin");
end

function Lua_TeamListItem:buildShowItem()
	self:superCall("buildShowItem"); 

	self.subBtn:addClickFuntion(self,self.onSubClick);
end

function Lua_TeamListItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.nameTxt.text = data.leader_name;
	self.careerTxt.text = Lua_ThingDefine.getJobName(data.leader_career);
	self.lvTxt.text = LanUtil.formateStr(LanUtil.getValue(122227),tostring(data.leader_level));
	self.numTxt.text = data.teamer_amount.."/3";
end

function Lua_TeamListItem:onSubClick(go)
	if DataCenter.teamData.hasTeam == true then
		OperateAlert.show(LanUtil.getValue(122230));
		return;
	end

	local cmd = ProtoPublic_pb.Proto10100307();
	cmd.role_id = tonumber(self._data.leader_id);
	sendMsg(10100307, cmd);
end