Lua_TeamTargetCellItem = class("Lua_TeamTargetCellItem", Lua_ListCell);
function Lua_TeamTargetCellItem:ctor(p)
	self:superCall("ctor", p, "TeamTargetCellItem_skin");
end

function Lua_TeamTargetCellItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.labelTxt.text = data.name;
	if data.selected == true then
		self.bg:setAltas("team_atlas", "ui_team_bg_02");
	else
		self.bg:setAltas("team_atlas", "ui_team_bg_03");
	end
end

function Lua_TeamTargetCellItem:onPlayerSoundClick(go)
	Lua_MsgUtil.callFunc("TEAMTARGET_CHANGE", self.data);
end